Subject: Re: ATT: gcc maintainer (was Re: cpp does not honor the -undef option.)
From: Peter Ekberg <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Jan 2006 23:17:33 +0100

On Tue, Jan 31, 2006 at 09:37:05PM +0100, Gerrit P. Haase wrote:
> Peter schrieb:
> 
> > On Mon, Jan 23, 2006 at 10:01:44PM +0100, Peter Ekberg wrote:
> >> On Mon, Jan 16, 2006 at 12:13:12PM +0100, Peter Ekberg wrote:
> >> > On Mon, Jan 09, 2006 at 10:58:00AM +0100, Peter Ekberg wrote:
> >> > > Hello!
> >> > > 
> >> > > I recently tried to build a package that was using cpp for other
> >> > > purposes than preprocessing C files. Its configure script was
> >> > > looking for a way to not have cpp predefine anything, and it
> >> > > specifically tried the -undef option, but failed. From reading the
> >> > > docs, I couldn't figure out why. Here's a quote from "info cpp":
> >> > > 
> >> > > '-undef'
> >> > >      Do not predefine any system-specific or GCC-specific macros.  The
> >> > >      standard predefined macros remain defined.  *Note Standard
> >> > >      Predefined Macros::.
> >> > > 
> >> > > So I searched the web a bit and figured that I could probably fix
> >> > > it in the specs file. I realise that the specs file probably isn't
> >> > > the canonical place to change this, but I'll leave that to the gcc
> >> > > maintainer.
> >> > > 
> >> > > Attached is a patch for the specs file that wraps all old define
> >> > > rules for cpp inside the following:
> >> > > 
> >> > > %{!undef:old define rules}
> >> > > 
> >> > > I don't know if this is the correct thing to do, but it works for
> >> > > me<TM>.
> >> > 
> >> > GCC maintainer, are you there? Can you come out and play, please? :-)
> >> 
> >> Ping.
> 
> > Pong.
> 
> Peng.

Pang.

> Looks like a reasonable approach to fix this.  However, the specs should
> not override -undef, looks like a bug in cpp.  Have you reported this as
> a bug to the gcc bug tracker?

I have now, http://gcc.gnu.org/bugzilla/show_bug.cgi?id=26052

Let's see what happens.

Cheers,
Peter

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/